Module java.base
Package java.util

## Class IllegalFormatWidthException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.util.IllegalFormatException
          - - java.util.IllegalFormatWidthException

All Implemented Interfaces:
  `Serializable`

    public class IllegalFormatWidthException
    extends IllegalFormatException

Unchecked exception thrown when the format width is a negative value other than `-1` or is otherwise unsupported.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
`IllegalFormatWidthException​(int w)` Constructs an instance of this class with the specified width.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getWidth()` Returns the width

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IllegalFormatWidthException

    public IllegalFormatWidthException​(int w)

Constructs an instance of this class with the specified width.

Parameters:
  `w` - The width

### Method Detail

#### getWidth

    public int getWidth()

Returns the width

Returns:
  The width